# SourcePath: pangomm/20180320dev
Summary: The Pangomm package provides a C++ interface to Pango.
Name: sony-target-dev-pangomm
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-pangomm
Version: 2.40.1
Release: 12000001
Source: pangomm-%{version}.tar.xz
URL:   http://ftp.gnome.org/pub/gnome/sources/pangomm/
License: LGPLv2, GPLv2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
The Pangomm package provides a C++ interface to Pango.

%package -n %{pkgname}
Summary: The Pangomm package provides a C++ interface to Pango.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The Pangomm package provides a C++ interface to Pango.

%prep
%setup -n pangomm-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure

make

%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
%sony_target_dev_makeinstall
%demangle_libtool

# Remove docs and man pages
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/*

# Move pkgconfig files and .a files
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*

%changelog
* Tue Mar 20 2018 Sony Corporation
- Initial build.
